Package pygccxml :: Package declarations :: Module algorithm :: Class visit_function_has_not_been_found_t

# type visit_function_has_not_been_found_t

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
                 exceptions.RuntimeError --+
                                           |
                                          visit_function_has_not_been_found_t

exception that is raised, from apply_visitor, when a visitor could not be applied.

Instance Methods

__init__(self, visitor, decl_inst) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

__str__(self) str(x) | source code

Inherited from `exceptions.RuntimeError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message`

Method Details

### __init__(self, visitor, decl_inst)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: exceptions.BaseException.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: exceptions.BaseException.__str__
  (inherited documentation)